package de.intevation.flys.client.shared.model;

import java.io.Serializable;


/**
 * @author <a href="mailto:ingo.weinzierl@intevation.de">Ingo Weinzierl</a>
 */
public class DateAxis implements Axis {

    public static final String TYPE = "date";


    protected int pos;

    protected long from;
    protected long to;

    protected long min;
    protected long max;


    public DateAxis() {
    }


    public DateAxis(int pos, long from, long to, long min, long max) {
        this.pos  = pos;
        this.from = from;
        this.to   = to;
        this.min  = min;
        this.max  = max;
    }


    @Override
    public int getPos() {
        return pos;
    }


    @Override
    public Number getFrom() {
        return from;
    }


    @Override
    public Number getTo() {
        return to;
    }


    @Override
    public Number getMin() {
        return min;
    }


    @Override
    public Number getMax() {
        return max;
    }
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8 :

